<h2>Update Book</h2>

<div class="ui placeholder segment">
  <div class="ui two column very relaxed stackable grid">
    <div class="column">
      <form
        class="ui form"
        [formGroup]="updateBookForm"
        (ngSubmit)="onSubmitForm(updateBookForm.value)"
      >
        <div class="field">
          <label>Book title</label>
          <input
            type="text"
            id="title"
            name="title"
            class="form-control"
            formControlName="title"
            placeholder="{{ book.title }}"
          />
        </div>
        <div class="field">
          <label for="authors">Author</label>
          <input
            type="text"
            name="authors"
            id="authors"
            class="form-control"
            formControlName="authors"
            placeholder="{{ book.authors }}"
          />
        </div>

        <div class="fields">
          <div class="field">
            <label>Genre</label>
            <input
              type="text"
              name="genre"
              id="genre"
              class="form-control"
              formControlName="genre"
              placeholder="{{ book.genre }}"
            />
          </div>
          <div class="field">
            <label>Publisher</label>
            <input
              type="text"
              name="publisher"
              id="publisher"
              class="form-control"
              formControlName="publisher"
              placeholder="{{ book.publisher }}"
            />
          </div>
          <div class="field">
            <label>Language</label>
            <input
              type="text"
              name="language"
              id="language"
              class="form-control"
              formControlName="language"
              placeholder="{{ book.language }}"
            />
          </div>
        </div>

        <button class="ui blue button" type="submit">Update book</button>

        <!-- <div class="ui large buttons">
          <button class="ui button" type="submit">Update </button>
          <div class="or"></div>
          <button class="ui button" (click)="onDeleteBook()">Delete </button>
        </div> -->
      </form>
    </div>

    <div class="middle aligned column">
      <div class="ui big blue button" (click)="onDeleteBook()">Delete book</div>
    </div>
  </div>
  <div class="ui vertical divider">Or</div>
</div>
